! *****************************************************************
!
! This file contains a Fortran 90 module for (a) specifying the 
! spatial and temporal discretisation, and (b) defining a number of 
! gridded variables 
!
! Copyright (C) 2009 David McInerney, University of Chicago
!
! *****************************************************************
!
!    This program is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    any later version.
!
!    This program is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with this program (see file "COPYING").  If not, see
!    <http://www.gnu.org/licenses/>.
!
! *****************************************************************

module grid

  implicit none

!  integer, parameter :: JJ = 28 ! # grid spacings in x-dirn 
!  integer, parameter :: KK = 20 ! # grid spacings in y-dirn 
!  integer, parameter :: NN = 2000 ! # time steps in 1 wind cycle

!  integer, parameter :: JJ = 56 ! # grid spacings in x-dirn 
!  integer, parameter :: KK = 40 ! # grid spacings in y-dirn 
!  integer, parameter :: NN = 8000 ! # time steps in 1 wind cycle

  integer, parameter :: JJ = 140 ! # grid spacings in x-dirn 
  integer, parameter :: KK = 100 ! # grid spacings in y-dirn 
  integer, parameter :: NN = 50000 ! # time steps in 1 wind cycle

! some variables that are initialized in module numerical
  double precision zeta(1:JJ,1:KK), HH(1:JJ,1:KK), &
       u_old(0:JJ,1:KK), u_new(0:JJ,1:KK), &
       v_old(1:JJ,0:KK), v_new(1:JJ,0:KK)
  double precision x_at_zeta(1:JJ), x_at_u(0:JJ), x_at_v(1:JJ), &
       y_at_zeta(1:KK), y_at_u(1:KK), y_at_v(0:KK)
  double precision delta_x, delta_t, t, delta_y
  integer iteration

end module grid

! *******************************************************************

